import request from '@/utils/request'

// 查询菜单登记列表
export function listRegister(query) {
  return request({
    url: '/canteen/register/list',
    method: 'get',
    params: query
  })
}

// 查询菜单登记详细
export function getRegister(registerId) {
  return request({
    url: '/canteen/register/' + registerId,
    method: 'get'
  })
}

// 新增菜单登记
export function addRegister(data) {
  return request({
    url: '/canteen/register',
    method: 'post',
    data: data
  })
}

// 修改菜单登记
export function updateRegister(data) {
  return request({
    url: '/canteen/register',
    method: 'put',
    data: data
  })
}

// 删除菜单登记
export function delRegister(registerId) {
  return request({
    url: '/canteen/register/' + registerId,
    method: 'delete'
  })
}

// 导出菜单登记
export function exportRegister(query) {
  return request({
    url: '/canteen/register/export',
    method: 'get',
    params: query
  })
}

export function cuisine(query) {
  return request({
    url: '/canteen/cuisine/list',
    method: 'get',
    params: query
  })
}

export function menus(query) {
  return request({
    url: '/canteen/menu/list',
    method: 'get',
    params: query
  })
}

export function getData(query) {
  return request({
    url: '/canteen/cuisine/regList',
    method: 'get',
    params: query
  })
}
export function miwp(query) {
  return request({
    url: '/canteen/cuisine/miwp',
    method: 'get',
    params: query
  })
}

export function addCuisineforMenu(data) {
  return request({
    url: '/canteen/register/addRegisters',
    method: 'post',
    data: data
  })
}


